#
# Conditional build:
%bcond_with	tests	# perform "make test" - needs network connection
#
%define		pdir	IO
%define		pnam	Socket-SSL
Summary:	IO::Socket::SSL - nearly transparent SSL encapsulation for IO::Socket::INET
Summary(pl.UTF-8):	IO::Socket::SSL - prawie przezroczysta obudowa SSL dla IO::Socket::INET
Name:		perl-IO-Socket-SSL
Version:	2.078
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f2f8fae0c2fde670a3031cbbf0b4fc4c
Patch0:		IO-Socket-SSL-2.068-use-system-default-SSL-version.patch
URL:		https://metacpan.org/release/IO-Socket-SSL
%if %{with tests}
BuildRequires:	perl-Net-SSLeay >= 1.46
BuildRequires:	perl-Scalar-List-Utils
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
# actually Net::SSLeay using openssl >= 0.9.8
Requires:	openssl >= 0.9.8
Suggests:	perl-Mozilla-CA
Suggests:	perl-Net-IDN-Encode
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a true drop-in replacement for IO::Socket::INET that
uses SSL to encrypt data before it is transferred to a remote server
or client. IO::Socket::SSL supports all the extra features that one
needs to write a full-featured SSL client or server application:
multiple SSL contexts, cipher selection, certificate verification, and
SSL version selection. As an extra bonus, it works perfectly with
mod_perl.

%description -l pl.UTF-8
Ten moduł jest prawdziwym zamiennikiem dla IO::Socket::INET,
używającym SSL do kodowania danych przed przesyłaniem do zdalnego
serwera lub klienta. IO::Socket::SSL wspiera wszystkie dodatkowe
rzeczy potrzebne do napisania w pełni funkcjonalnego klienta lub
serwera SSL: wiele kontekstów SSL, wybór szyfru, weryfikacja
certyfikatu, wybór wersji SSL. Ponadto wspaniale działa z mod_perlem.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p0

%build
echo "n" | \
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/IO/Socket/SSL.pod

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -pr example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README docs/*
%{perl_vendorlib}/IO/Socket/SSL.pm
%{perl_vendorlib}/IO/Socket/SSL
%{_mandir}/man3/IO::Socket::SSL*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Dec 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-Socket-SSL.git;a=log;h=master

* Fri Dec 16 2022 Jan Palus <atler@pld-linux.org> 28938ee
- up to 2.078

* Thu Nov 24 2022 Jan Palus <atler@pld-linux.org> eecff68
- up to 2.077

* Mon Nov 14 2022 Jan Palus <atler@pld-linux.org> 9585aaf
- up to 2.076

* Tue Sep 06 2022 Jan Palus <atler@pld-linux.org> f577215
- up to 2.075

* Sat Jan 08 2022 Jan Palus <atler@pld-linux.org> 145fa72
- up to 2.074 (uses system default cipher list now)

* Thu Jan 06 2022 Jan Palus <atler@pld-linux.org> 3eafb91
- drop use-system-default-cipher-list patch; rel 2

* Thu Dec 23 2021 Jan Palus <atler@pld-linux.org> 5f91ea9
- up to 2.073

* Thu Dec 16 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> d393768
- Rel 2; use system default ssl version and cipher list (from fc).

* Tue Sep 14 2021 Jan Palus <atler@pld-linux.org> 128e916
- S: perl-Mozilla-CA

* Mon Aug 16 2021 Jan Palus <atler@pld-linux.org> cb0505c
- up to 2.072

* Mon May 24 2021 Jan Palus <atler@pld-linux.org> 17ca9ea
- up to 2.071

* Thu May 20 2021 Jakub Bogusz <qboosh@pld-linux.org> 638003d
- updated URL

* Fri Feb 26 2021 Jan Palus <atler@pld-linux.org> 58179a0
- up to 2.070

* Mon Jan 25 2021 Jan Palus <atler@pld-linux.org> 255dc61
- up to 2.069

* Tue Apr 07 2020 Jakub Bogusz <qboosh@pld-linux.org> b0526b6
- macros for perl macros included (fixed number)

* Tue Apr 07 2020 Jakub Bogusz <qboosh@pld-linux.org> f44c0c2
- macros for perl macros included

* Fri Apr 03 2020 Jan Palus <atler@pld-linux.org> 21ae3d8
- up to 2.068

* Mon Feb 17 2020 Jan Palus <atler@pld-linux.org> 22d7d06
- up to 2.067

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> c370d4f
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Mar 06 2019 Jan Palus <atler@pld-linux.org> d970a65
- up to 2.066

